[project]
name = "flask-api-calculator-demo"
version = "0.1.1"
description = "Default template for PDM package"
authors = [
    {name = "Michael Mäder", email = "michael.maeder@hefr.ch"},
]
dependencies = [
    "pytest>=8.0.2",
    "pytest-cov>=4.1.0",
    "Flask>=3.0.2",
    "flask-wtf>=1.2.1",
    "dotenv>=0.9.9",
]
requires-python = ">3.11"
readme = "README.md"
license = {text = "MIT"}


[tool.pdm]
distribution = false

[tool.pdm.scripts]
flask.cmd = "flask run -p 5000 --debug"
flask.env = {FLASK_ENV = "development"}
shell.cmd = "sh"